# Initialization

The method for initializing the Wepin PIN Pad Library is as follows.

## init

Initialize the Wepin PIN Pad Library.\
During initialization, set the language to be displayed on the PIN pad screen.

```dart
await wepinPinPad.init(String? language)
```

### **Parameters**

* `language`: \<String> **optional**\
  The default language setting for the PIN pad screen is `'en'`. Currently supported languages are `'ko'`, `'en'`, and `'ja'`.

### **Return value**

* `Future`\<void>

### Example

```dart
await wepinPinPad.init('ko')
```

## isInitialized

You can use the `isInitialized` method to check if the `WepinPin` instance has been successfully initialized.

```dart
wepinPinPad.isInitialized()
```

### **Parameters**

* `<void>`

### **Return Value**

* `<bool>`\
  Returns **true** if initialization was successful and **false** if it failed.

### **Example**

```dart
if(wepinPinPad.isInitialized()) {
  print('wepinPin is initialized!')
}
```

## changeLanguage

```dart
wepinPinPad.changeLanguage(String language)
```

Changes the language displayed on the PIN pad screen. Currently, only `'ko'`, `'en'`, and `'ja'` are supported.<br>

**Parameters**

* &#x20;`language` \<String>

### **Return value**

* `<void>`

### Example

```dart
wepinPinPad.changeLanguage('ko')
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/flutter-sdk/pin-pad-library/init.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
